> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all locations

> List all locations.



## OpenAPI

````yaml get /pos/locations
openapi: 3.1.0
info:
  version: '1.0'
  title: CE Storefront APIs
  summary: Customer-facing e-commerce API for building exceptional shopping experiences
  description: >-
    Public-facing API for Commerce Engine storefronts, enabling seamless
    shopping experiences with product browsing, cart management, checkout
    processing, user accounts, and order tracking. Perfect for building web,
    mobile, and headless commerce applications.
  contact:
    name: Support
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
  license:
    url: https://www.commercengine.io/contact-us
    name: All Rights Reserved
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security: []
tags:
  - name: Analytics
    description: Analytics
  - name: Auth
    description: auth
  - name: Campaigns
    description: Campaigns
  - name: Carts
    description: Carts
  - name: Catalog
    description: Catalog
  - name: Common
    description: Common
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Juspay
    description: Juspay Payments
  - name: KYC
    description: KYC
  - name: Marketplace
    description: Marketplace
  - name: Orders
    description: Orders
  - name: Others
    description: Others
  - name: Payments
    description: Payments
  - name: PayU
    description: PayU Payments
  - name: POS
    description: POS
  - name: Shipping
    description: Shipping
  - name: Store
    description: Store
  - name: Subscriptions
    description: Subscriptions
externalDocs:
  url: https://llm-docs.commercengine.io
  description: Commerce Engine API Reference Documentation
paths:
  /pos/locations:
    parameters: []
    get:
      tags:
        - POS
      summary: List all locations
      description: List all locations.
      operationId: list-pos-locations
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - success
                  - content
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      locations:
                        type: array
                        items:
                          $ref: '#/components/schemas/PosLocation'
                    type: object
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - X-Api-Key: []
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/operations/list-pos-locations
        description: API reference for the list-pos-locations operation
components:
  schemas:
    PosLocation:
      title: PosLocation
      description: ''
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/PosLocation
        description: API reference for the PosLocation schema
      required:
        - name
        - warehouse_type
        - city
        - address_line1
        - pincode
        - state
        - country
        - contact_phone
        - contact_email
        - can_receive_stock
        - can_ship_parcel
        - can_collect
        - is_checkout_point
        - accepts_returns
      properties:
        id:
          description: warehouse id
          type: string
          readOnly: true
        name:
          description: legal name
          type: string
        warehouse_type:
          enum:
            - retail-store
            - distribution-center
        active:
          type: boolean
          default: true
        gstin:
          type:
            - string
            - 'null'
        city:
          type: string
        address_line1:
          type: string
        address_line2:
          type:
            - string
            - 'null'
        landmark:
          type:
            - string
            - 'null'
        pincode:
          type: string
        state:
          type: string
        country:
          type: string
        country_code:
          type: string
          default: '+91'
        contact_phone:
          description: 10 digit number without country code.
          type: number
        contact_email:
          type: string
        is_default:
          type: boolean
        image_url:
          type:
            - string
            - 'null'
        seller_warehouse_id:
          type:
            - string
            - 'null'
        can_receive_stock:
          type: boolean
        can_ship_parcel:
          type: boolean
        can_collect:
          type: boolean
        is_checkout_point:
          description: this field will be always true for warehouse_type = retail-store.
          type: boolean
        accepts_returns:
          type: boolean
        opening_hours:
          type:
            - string
            - 'null'
  responses:
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
  securitySchemes:
    X-Api-Key:
      type: apiKey
      description: API key for your store
      name: X-Api-Key
      in: header

````